<template>
	<view class="guize">
		<!-- <view v-html="rule" style="color: #676767;">2321321</view> -->
		<rich-text :nodes="rule"></rich-text>
	</view>
</template>

<script>
	import {
		getDanYeContent
	} from '@/common/server/config.js';

	export default {
		components: {},
		data() {
			return {
				z_imgUrl: this.$z_imgUrl,
				rule: ``,
				title: ''
			}
		},
		onLoad(e) {
			console.log(e)
			this.getnews(e.type)
			let title = '';
			if (e.type == 1) {
				title = '什么是用户等级'
			}
			if (e.type == 2) {
				title = '等级相关福利'
			}
			if (e.type == 3) {
				title = '公告'
			}
			if (e.type == 4 || e.type == 30) {
				title = '用户协议'
			}
			if (e.type == 5 || e.type == 31) {
				title = '隐私政策'
			}
			if (e.type == 6) {
				title = '平台消费规则'
			}
			if (e.type == 7) {
				title = '一番裳购买说明'
			}
			if (e.type == 8) {
				title = '无限赏购买说明'
			}
			if (e.type == 9) {
				title = '排行榜规则'
			}
			if (e.type == 10) {
				title = '发货规则'
			}
			if (e.type == 11) {
				title = ' 请好友规则'
			}
			if (e.type == 12) {
				title = '抽奖券说明'
			}
			if (e.type == 13) {
				title = '权益中心说明'
			}
			if (e.type == 14) {
				title = '领主玩法'
			}
			if (e.type == 15) {
				title = '连击赏玩法'
			}
			if (e.type == 16) {
				title = '签到规则'
			}
			this.title = title
			uni.setNavigationBarTitle({
				title: title
			})
		},
		methods: {

			async getnews(e) {
				// API: danye
				const res = await getDanYeContent(e);
				if (res.status === 1) {
					if (res.data.content != null) {
						this.rule = res.data.content;
					} else {
						this.rule = res.data;
					}
 
				}
			},


		}
	}
</script>


<style>
	>>>span {
		text-wrap: wrap !important;
	}

	.text_2,
	.text_3 {
		font-size: 28rpx;
		margin-top: 60rpx;
	}

	.text_1 {
		margin-top: 30rpx;
		font-size: 32rpx;
		color: #fff;

	}

	.guize {
		width: 100vw;
		min-height: 100vh;
		position: relative;
		padding: 24rpx;
		background-color: #FFFFFF;
		box-sizing: border-box;
	}
</style>